/* #Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.     
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2018_PERSONAL_REGISTER_(R-FILE)_Cross-Sectional_EN_DELIMITED.dct, clear
/*
label define  rb020_cl1 AT   "¿sterreich BE   "Belgique/Belg¿e BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech republic" DE   "Deutschland" DK   "Denmark" EE   "Estonia" EL   "Ell¿da ES   "Espa¿a FI   "Suomi" FR   "France" HR   "Croatia" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" ME   "Montenegro" MK   "The Former Yugoslav Republic of Macedonia (FYROM)" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" RS   "Serbia" SE   "Sverige" SI   "Slovenia" SK   "Slovak republic" TR   "Turkey" UK   "United Kingdom"  
label define  rb031_cl3 1938   "<=1938" 1943   "1943 - 1939" 1948   "1948 - 1944" 1953   "1953 - 1949" 1958   "1958 - 1954" 1963   "1963 - 1959" 1968   "1968 - 1964" 1973   "1973 - 1969" 1978   "1978 - 1974" 1983   "1983 - 1979" 1988   "1988 - 1984" 1993   "1993 - 1989" 1998   "1998 - 1994" 2003   "2003 - 1999" 2008   "2008 - 2004" 2013   "2013 - 2009" 2018   "2018 - 2014"  
label define  rb031_f_cl4 1   "Filled" -1   "Missing" -2   "Not applicable (no immigration for the person)"  
label define  rb050_f_cl6 1   "Filled" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4)" -7   "Not applicable RB010 ne last year"  
label define  rb070_cl7 1   "January" 2   "February" 3   "March" 4   "April" 5   "May" 6   "June" 7   "July" 8   "August" 9   "September" 10   "October" 11   "November" 12   "December"  
label define  rb070_f_cl8 1   "Filled" -1   "Missing"  
label define  rb080_f_cl10 1   "Filled" -1   "Missing"  
label define  rb090_cl11 1   "Male" 2   "Female"  
label define  rb090_f_cl12 1   "Filled" -1   "Missing"  
label define  rb200_cl13 1   "Currently living in the household" 2   "Temporarily absent"  
label define  rb200_f_cl14 1   "Filled" -1   "Missing" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4)"  
label define  rb210_cl15 1   "At work" 2   "Unemployed" 3   "In retirement or early retirement or has given up business" 4   "Other inactive person"  
label define  rb210_f_cl16 1   "Filled" -1   "Missing" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4)"  
label define  rb220_f_cl18 1   "Filled" -1   "Missing" -2   "Not applicable ((father is not a household member) OR (RB110 not equal to 1, 2, 3 or 4))"  
label define  rb230_f_cl20 1   "Filled" -1   "Missing" -2   "Not applicable ((mother is not a household member) OR (RB110 not equal to 1, 2, 3 or 4))"  
label define  rb240_f_cl22 1   "Filled" -1   "Missing" -2   "Not applicable ((spouse/partner is not a household member) OR (RB110 not equal to 1, 2, 3 or 4))"  
label define  rb245_cl23 1   "Current household member aged 16 and over" 2   "Selected respondent" 3   "Non-selected respondent" 4   "Ineligible person"  
label define  rb245_f_cl24 1   "Filled" -2   "Not applicable (RB110 not equal to 1, 2, 3 or 4))"  
label define  rb250_cl25 11   "Information completed only from interview" 12   "Information completed only from registers" 13   "Information completed from both: interview and registers" 14   "Information completed from full-record imputation" 21   "Individual unable to respond (illness, incapacity, etc) and no proxy possible" 22   "Failed to return self-completed questionnaire" 23   "Refusal to co-operate" 31   "Person temporarily away and no proxy possible" 32   "No contact for other reasons" 33   "Information not completed: reason unknown"  
label define  rb250_f_cl26 1   "Filled" -2   "Not applicable (RB245 not equal to 1, 2 or 3)"  
label define  rb260_cl27 1   "Face to face interview-PAPI" 2   "Face to face interview-CAPI" 3   "CATI, telephone interview" 4   "Self-administered by respondent" 5   "Computer assisted web interviewing-CAWI" 6   "Face to face interview-PAPI with proxy" 7   "Face to face interview-CAPI with proxy" 8   "CATI, telephone interview with proxy" 9   "Self-administered by respondent with proxy" 10   "Computer assisted web interviewing-CAWI with proxy"  
label define  rb260_f_cl28 1   "Filled" -1   "Missing" -2   "Not applicable (RB250 not equal to 11 or 13) or RB245 eq 3"  
label define  rb270_f_cl30 1   "Filled" -1   "Missing" -2   "Not applicable (RB260 not equal to 6, 7, 8, 9, 10)"  
label define  rl010_f_cl32 1   "Filled" -1   "Missing" -2   "Not applicable ((RB110 not equal to 1, 2, 3 or 4) OR (person is not admitted to pre-school because of his or her age, is at compulsory school, or is more than 12 years old))"  
label define  rl020_f_cl34 1   "Filled" -1   "Missing" -2   "Not applicable ((RB110 not equal to 1, 2, 3 or 4) OR (person is not admitted to compulsory school because of his or her age, or is more than 12 years))"  
label define  rl030_f_cl36 1   "Filled" -1   "Missing" -2   "Not applicable ((RB110 not equal to 1, 2, 3 or 4) OR (person is neither at pre-school nor at school or is more than 12 years old))"  
label define  rl040_f_cl38 1   "Filled" -1   "Missing" -2   "Not applicable ((RB110 not equal to 1, 2, 3 or 4) OR (person is more than 12 years old))"  
label define  rl050_f_cl40 1   "Filled" -1   "Missing" -2   "Not applicable ((RB110 not equal to 1, 2, 3 or 4) OR (person is more than 12 years old))"  
label define  rl060_f_cl42 1   "Filled" -1   "Missing" -2   "Not applicable ((RB110 not equal to 1, 2, 3 or 4) OR (person is more than 12 years old))"  
label define  rl070_f_cl44 1   "Filled" -2   "Not applicable ((RB110 not equal to 1, 2, 3 or 4) OR (persons aged more than 12 years old at the date of interview))" -7   "Not applicable RB010 ne last year"  
label define  rx050_cl49 0   "No Low Work Intensity" 1   "Low Work Intensity" 2   "Not Applicable"  
label define  rx060_cl50 0   "Not Severely materially deprived" 1   "Severely materially deprived"  
label values  rb020 rb020_cl1
label values  rb031 rb031_cl3
label values  rb031_f rb031_f_cl4
label values  rb050_f rb050_f_cl6
label values  rb070 rb070_cl7
label values  rb070_f rb070_f_cl8
label values  rb080_f rb080_f_cl10
label values  rb090 rb090_cl11
label values  rb090_f rb090_f_cl12
label values  rb200 rb200_cl13
label values  rb200_f rb200_f_cl14
label values  rb210 rb210_cl15
label values  rb210_f rb210_f_cl16
label values  rb220_f rb220_f_cl18
label values  rb230_f rb230_f_cl20
label values  rb240_f rb240_f_cl22
label values  rb245 rb245_cl23
label values  rb245_f rb245_f_cl24
label values  rb250 rb250_cl25
label values  rb250_f rb250_f_cl26
label values  rb260 rb260_cl27
label values  rb260_f rb260_f_cl28
label values  rb270_f rb270_f_cl30
label values  rl010_f rl010_f_cl32
label values  rl020_f rl020_f_cl34
label values  rl030_f rl030_f_cl36
label values  rl040_f rl040_f_cl38
label values  rl050_f rl050_f_cl40
label values  rl060_f rl060_f_cl42
label values  rl070_f rl070_f_cl44
label values  rx050 rx050_cl49
label values  rx060 rx060_cl50
*/
save  EUSILC_Cross_A2018_PERSONAL_REGI.dta, replace
